MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003872ATutorTests/Surveyspublic2009-07-12 12:552009-07-21 08:48
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.3 
Summary0003872: Resuming 1 qpp test may fail
DescriptionSometimes, when aborting and then resuming a one-question-per-page test, no questions are shown; instead, "No questions found." is displayed.

Steps to reproduce:
1. Create a one-question-per-page test.
2. Add two questions to it (I used MA/MC, but others may be fine too).
3. Start taking the test.
4. When viewing the first question, click "Next", then "Previous".
5. Abort the test (i.e. go to any page).
6. Resume the test (i.e. go to Home -> Tests & Surveys -> [test name] -> Begin Test).
7. Here it is: 'No questions found.".

A workaround: once in such a situation, append "&pos=0" to the URL. This will switch to the first question of a test.
That suggests the bug may have something to do with calculating position ($pos in take_test_q.php) when the last question seen has been recorded ($max_pos).

Found in a local 1.6.2 installation, reproduced in the demo.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003685)
IndieRect (reporter)
2009-07-12 13:02

A note: "Sometimes" in the first sentence doesn't mean a random nature of the issue. Its reproducibility is indeed "always".
(0003691)
cindy (administrator)
2009-07-13 09:32

SVN revision: 8683

Affected script: tools/take_test_q.php

Solution: this bug happens when user answered all the questions without cliking last "next" button. Solve it by resuming test at the last question.

- Issue History
Date Modified Username Field Change
2009-07-12 12:55 IndieRect New Issue
2009-07-12 12:55 IndieRect Affects version => SVN
2009-07-12 13:02 IndieRect Note Added: 0003685
2009-07-13 08:43 greg Status new => assigned
2009-07-13 08:43 greg Assigned To => cindy
2009-07-13 09:32 cindy Status assigned => resolved
2009-07-13 09:32 cindy Fixed in Version => 1.6.3
2009-07-13 09:32 cindy Resolution open => fixed
2009-07-13 09:32 cindy Note Added: 0003691
2009-07-21 08:48 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker